NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Features.ShipDesign.SeamBuilder Member List

This is the complete list of members for NXOpen.Features.ShipDesign.SeamBuilder, including all inherited members.

AngleToleranceNXOpen.Features.ShipDesign.FeatureParmsBuilder
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
Boundary1NXOpen.Features.ShipDesign.ProfileSystemBuilder
Boundary1PlaneNXOpen.Features.ShipDesign.ProfileSystemBuilder
Boundary2NXOpen.Features.ShipDesign.ProfileSystemBuilder
Boundary2PlaneNXOpen.Features.ShipDesign.ProfileSystemBuilder
BoundaryOneModifiedNXOpen.Features.ShipDesign.ProfileSystemBuilder
BoundaryReverseNXOpen.Features.ShipDesign.ProfileSystemBuilder
BoundaryTwoModifiedNXOpen.Features.ShipDesign.ProfileSystemBuilder
BuiltUpOffsetNXOpen.Features.ShipDesign.SeamBuilder
Commit()NXOpen.Builderinline
CommitFeature()NXOpen.Features.FeatureBuilderinline
CreatePathCurves(out NXOpen.NXObject[] curves)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
CreatePlaneForList()NXOpen.Features.ShipDesign.FeatureParmsBuilderinline
CreatOrientationPathCurve()NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
DefinitionCurvesNXOpen.Features.ShipDesign.SeamBuilder
DefinitionEquallySpacedCurve1NXOpen.Features.ShipDesign.SeamBuilder
DefinitionEquallySpacedCurve2NXOpen.Features.ShipDesign.SeamBuilder
DefinitionEquallySpacedNumberNXOpen.Features.ShipDesign.SeamBuilder
DefinitionEquallySpacedPlaneListNXOpen.Features.ShipDesign.SeamBuilder
DefinitionMethodNXOpen.Features.ShipDesign.SeamBuilder
DefinitionMethods enum nameNXOpen.Features.ShipDesign.SeamBuilder
DefinitionObjectsNXOpen.Features.ShipDesign.SeamBuilder
DefinitionPlaneListNXOpen.Features.ShipDesign.SeamBuilder
DefinitionProjectionDirectionNXOpen.Features.ShipDesign.SeamBuilder
DefinitionRectangularCornerNXOpen.Features.ShipDesign.SeamBuilder
DefinitionRectangularLengthNXOpen.Features.ShipDesign.SeamBuilder
DefinitionRectangularLengthDirectionNXOpen.Features.ShipDesign.SeamBuilder
DefinitionRectangularPlaneNXOpen.Features.ShipDesign.SeamBuilder
DefinitionRectangularWidthNXOpen.Features.ShipDesign.SeamBuilder
DeleteLastPathCurves()NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
DeletePathCurves()NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
Destroy()NXOpen.Builderinline
DistanceToleranceNXOpen.Features.ShipDesign.FeatureParmsBuilder
EndCutNXOpen.Features.ShipDesign.SeamBuilder
EndCutSplitNXOpen.Features.ShipDesign.SeamBuilder
ErectionSplitSystemNXOpen.Features.ShipDesign.SeamBuilder
FirstIntersectionPointsNXOpen.Features.ShipDesign.ProfileSystemBuilder
GetAttachedProfiles(NXOpen.NXObject plateOrProfile, out NXOpen.Curve[] profiles)NXOpen.Features.ShipDesign.SeamBuilderinline
GetCommittedObjects()NXOpen.Builderinline
GetFeature()NXOpen.Features.FeatureBuilderinline
GetLastPathCurves(out NXOpen.NXObject[] curves)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
GetObject()NXOpen.Builderinline
HideInternalParentFeatureAfterEdit(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
IntersectionSplitSystemNXOpen.Features.ShipDesign.SeamBuilder
NextSinkNXOpen.Utilities.NXRemotableObject
OrientationAngleRuleNXOpen.Features.ShipDesign.FeatureParmsBuilder
OrientationAngleRuleTypes enum nameNXOpen.Features.ShipDesign.FeatureParmsBuilder
ParentFeatureInternalNXOpen.Features.FeatureBuilder
PointProfileToleranceNXOpen.Features.ShipDesign.SeamBuilder
PreviewBuilderNXOpen.Builder
PrintTestData(String variableName)NXOpen.TaggedObjectinline
PrintTestData(String variableName, int lineNumber)NXOpen.TaggedObjectinline
ReparentFrecsReferencingSeamedObjectNXOpen.Features.ShipDesign.SeamBuilder
ReversePathDirectionNXOpen.Features.ShipDesign.ProfileSystemBuilder
ScantlingSplitSystemNXOpen.Features.ShipDesign.SeamBuilder
SecondIntersectionPointsNXOpen.Features.ShipDesign.ProfileSystemBuilder
SetBoundaryOnePoints(NXOpen.Point3d[] points)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
SetBoundaryTwoPoints(NXOpen.Point3d[] points)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
SetParentFeatureInternal(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
SetRegionPoints(NXOpen.Point3d[] points)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
ShipNamesNXOpen.Features.ShipDesign.SeamBuilder
ShipStructureNXOpen.Features.ShipDesign.SeamBuilder
ShowInternalParentFeatureForEdit(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
ShowResults()NXOpen.Builderinline
SplitKnuckleLocationsNXOpen.Features.ShipDesign.ProfileSystemBuilder
StaggerDistanceListNXOpen.Features.ShipDesign.SeamBuilder
StaggerShiftAlongMethodNXOpen.Features.ShipDesign.SeamBuilder
StaggerShiftAlongMethods enum nameNXOpen.Features.ShipDesign.SeamBuilder
StrakingSplitSystemNXOpen.Features.ShipDesign.SeamBuilder
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.TaggedObject
ToString()NXOpen.TaggedObjectinline
TypeNXOpen.Features.ShipDesign.SeamBuilder
Types enum nameNXOpen.Features.ShipDesign.SeamBuilder
UnsetParentFeatureInternal(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
UpdateEndcutChangeStatus(bool isChangeStart, bool isChangeEnd, bool isAllInBoudary)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
UseNewDefaultSectionAlgorithmNXOpen.Features.ShipDesign.ProfileSystemBuilder
Validate()NXOpen.Builderinline
WeldingCharacteristicsNXOpen.Features.ShipDesign.SeamBuilder
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.